%global ant_home %{_datadir}/ant

Summary:        Java build tool
Name:           ant
Version:        1.10.15
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://ant.apache.org/
Source0:        https://dlcdn.apache.org/ant/source/apache-ant-%{version}-src.tar.gz
BuildRequires:  java-devel
BuildRequires: /usr/bin/pathfix.py
Requires:       ant-lib = %{version}-%{release}
Requires:       java-devel

BuildArch:      noarch



%description
Apache Ant is a Java library and command-line tool whose mission is to
drive processes described in build files as targets and extension
points dependent upon each other.  The main known usage of Ant is the
build of Java applications.  Ant supplies a number of built-in tasks
allowing to compile, assemble, test and run Java applications.  Ant
can also be used effectively to build non Java applications, for
instance C or C++ applications.  More generally, Ant can be used to
pilot any type of process which can be described in terms of targets
and tasks.

%package lib
Summary:  Core part of %{name}

%description lib
Core part of Apache Ant that can be used as a library.

%package junit
Summary:  Optional junit tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description junit
Optional junit tasks for %{name}.

%package jmf
Summary:  Optional jmf tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description jmf
Optional jmf tasks for %{name}.

%package swing
Summary:  Optional swing tasks for %{name}
Requires: %{name} = %{version}-%{release}
 
%description swing
Optional swing tasks for %{name}.

%package antlr
Summary:  Optional antlr tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description antlr
Optional antlr tasks for %{name}.

%package apache-bsf
Summary:  Optional apache bsf tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description apache-bsf
Optional apache bsf tasks for %{name}.

%package apache-resolver
Summary:  Optional apache resolver tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description apache-resolver
Optional apache resolver tasks for %{name}.

%package commons-logging
Summary:  Optional commons logging tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description commons-logging
Optional commons logging tasks for %{name}.

%package commons-net
Summary:  Optional commons net tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description commons-net
Optional commons net tasks for %{name}.

%package apache-bcel
Summary:  Optional apache bcel tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description apache-bcel
Optional apache bcel tasks for %{name}.

%package apache-oro
Summary:  Optional apache oro tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description apache-oro
Optional apache oro tasks for %{name}.

%package apache-regexp
Summary:  Optional apache regexp tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description apache-regexp
Optional apache regexp tasks for %{name}.

%package apache-xalan2
Summary:  Optional apache xalan2 tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description apache-xalan2
Optional apache xalan2 tasks for %{name}.

%package imageio
Summary:  Optional imageio tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description imageio
Optional imageio tasks for %{name}.

%package jdepend
Summary:  Optional jdepend tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description jdepend
Optional jdepend tasks for %{name}.

%package jsch
Summary:  Optional jsch tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description jsch
Optional jsch tasks for %{name}.

%package junit5
Summary:  Optional junit5 tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description junit5
Optional junit5 tasks for %{name}.

%package testutil
Summary:  Test utility classes for %{name}
Requires: %{name} = %{version}-%{release}

%description testutil
Test utility tasks for %{name}.

%package xz
Summary:  Optional xz tasks for %{name}
Requires: %{name} = %{version}-%{release}

%description xz
Optional xz tasks for %{name}.

%package javamail
Summary:  javamail tasks or %{name}
Requires: %{name} = %{version}-%{release}

%description javamail
Documentation for %{name}.

%package apache-log4j
Summary:  apache-log4j tasks or %{name}
Requires: %{name} = %{version}-%{release}

%description apache-log4j
Documentation for %{name}.

%package netrexx
Summary:  netrexx tasks or %{name}
Requires: %{name} = %{version}-%{release}

%description netrexx
Documentation for %{name}.

%package jai
Summary:  jai tasks or %{name}
Requires: %{name} = %{version}-%{release}

%description jai
Documentation for %{name}.

%package jakartamail
Summary:  jakartamail tasks or %{name}
Requires: %{name} = %{version}-%{release}

%description jakartamail
Documentation for %{name}.

%package manual
Summary:  Manual for %{name}
License:  Apache-2.0 AND Apache-1.1

%description manual
Documentation for %{name}.



%prep
%setup -q -n apache-ant-%{version}

iconv KEYS -f iso-8859-1 -t utf-8 -o KEYS.utf8
mv KEYS.utf8 KEYS
iconv LICENSE -f iso-8859-1 -t utf-8 -o LICENSE.utf8
mv LICENSE.utf8 LICENSE



%build
chmod +x ./build.sh
export JAVA_HOME=/usr/lib/jvm/java
./build.sh -Ddist.dir=./dist -Djavadoc.notrequired=true dist



%install
mkdir -p %{buildroot}%{ant_home}
cp -r ./dist/* %{buildroot}%{ant_home}/
#ant document
rm -f %{buildroot}%{ant_home}/{CONTRIBUTORS,INSTALL,KEYS,LICENSE,NOTICE,README,WHATSNEW}
rm -rf %{buildroot}%{ant_home}/etc/checkstyle/
# ant lib
rm -f %{buildroot}%{ant_home}/lib/README
mv %{buildroot}%{ant_home}/etc/ant-bootstrap.jar %{buildroot}%{ant_home}/lib/
# ant bin
rm -f %{buildroot}%{ant_home}/bin/*.cmd
rm -f %{buildroot}%{ant_home}/bin/*.bat
mkdir -p %{buildroot}/usr/bin

pushd %{buildroot}%{_bindir}
ln -sf %{ant_home}/bin/ant ant
popd
#ant manual
rm -rf %{buildroot}%{ant_home}/manual
#clean nonsense file
rm -rf %{buildroot}%{ant_home}/*.xml
# fix python file
pathfix.py -pni "/usr/bin/python3 -s" %{buildroot}%{ant_home}/bin/runant.py



%check
# lack of test temply


%files
%doc KEYS README WHATSNEW
%license LICENSE NOTICE
%{_bindir}/ant
%dir %{ant_home}/bin
%{ant_home}/bin/ant
%{ant_home}/bin/*.pl
%{ant_home}/bin/*.py
%attr(0755,root,root) %{ant_home}/bin/antRun
%dir %{ant_home}/etc
%{ant_home}/etc/changelog.xsl
%{ant_home}/etc/coverage-frames.xsl
%{ant_home}/etc/mmetrics-frames.xsl
%{ant_home}/etc/log.xsl
%{ant_home}/etc/tagdiff.xsl

%files lib
%dir %{ant_home}
%dir %{ant_home}/lib
%{ant_home}/lib/ant.jar
%{ant_home}/lib/ant.pom
%{ant_home}/lib/ant-parent.pom
%{ant_home}/lib/ant-launcher.jar
%{ant_home}/lib/ant-launcher.pom
%{ant_home}/lib/ant-bootstrap.jar
%{ant_home}/lib/libraries.properties

%files junit
%{ant_home}/lib/ant-junit.jar
%{ant_home}/lib/ant-junit4.jar
%{ant_home}/lib/ant-junit.pom
%{ant_home}/lib/ant-junit4.pom
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl
%{ant_home}/etc/junit-frames-xalan1.xsl

%files jmf
%{ant_home}/lib/%{name}-jmf.jar
%{ant_home}/lib/%{name}-jmf.pom

%files swing
%{ant_home}/lib/%{name}-swing.jar
%{ant_home}/lib/%{name}-swing.pom

%files antlr
%{ant_home}/lib/%{name}-antlr.jar
%{ant_home}/lib/%{name}-antlr.pom

%files apache-bsf
%{ant_home}/lib/%{name}-apache-bsf.jar
%{ant_home}/lib/%{name}-apache-bsf.pom

%files apache-resolver
%{ant_home}/lib/%{name}-apache-resolver.jar
%{ant_home}/lib/%{name}-apache-resolver.pom

%files commons-logging
%{ant_home}/lib/%{name}-commons-logging.jar
%{ant_home}/lib/%{name}-commons-logging.pom

%files commons-net
%{ant_home}/lib/%{name}-commons-net.jar
%{ant_home}/lib/%{name}-commons-net.pom

%files apache-bcel
%{ant_home}/lib/%{name}-apache-bcel.jar
%{ant_home}/lib/%{name}-apache-bcel.pom

%files apache-oro
%{ant_home}/lib/%{name}-apache-oro.jar
%{ant_home}/etc/maudit-frames.xsl
%{ant_home}/lib/%{name}-apache-oro.pom

%files apache-regexp
%{ant_home}/lib/%{name}-apache-regexp.jar
%{ant_home}/lib/%{name}-apache-regexp.pom

%files apache-xalan2
%{ant_home}/lib/%{name}-apache-xalan2.jar
%{ant_home}/lib/%{name}-apache-xalan2.pom

%files imageio
%{ant_home}/lib/%{name}-imageio.jar
%{ant_home}/lib/%{name}-imageio.pom

%files jdepend
%{ant_home}/lib/%{name}-jdepend.jar
%{ant_home}/lib/%{name}-jdepend.pom
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl

%files jsch
%{ant_home}/lib/%{name}-jsch.jar
%{ant_home}/lib/%{name}-jsch.pom

%files junit5
%{ant_home}/lib/%{name}-junitlauncher.jar
%{ant_home}/lib/%{name}-junitlauncher.pom

%files testutil
%{ant_home}/lib/%{name}-testutil.jar
%{ant_home}/lib/%{name}-testutil.pom

%files xz
%{ant_home}/lib/%{name}-xz.jar
%{ant_home}/lib/%{name}-xz.pom

%files javamail
%{ant_home}/lib/%{name}-javamail.jar
%{ant_home}/lib/%{name}-javamail.pom

%files apache-log4j
%{ant_home}/lib/%{name}-apache-log4j.jar
%{ant_home}/lib/%{name}-apache-log4j.pom

%files netrexx
%{ant_home}/lib/%{name}-netrexx.jar
%{ant_home}/lib/%{name}-netrexx.pom

%files jai
%{ant_home}/lib/%{name}-jai.jar
%{ant_home}/lib/%{name}-jai.pom

%files jakartamail
%{ant_home}/lib/%{name}-jakartamail.jar
%{ant_home}/lib/%{name}-jakartamail.pom

%files manual
%license LICENSE NOTICE
%doc manual/*



%changelog
* Fri Jan 10 2025 Zhao Zhen <jeremiazhao@tencent.com> - 1.10.15-1
- upgrade to upstream version 1.10.15
- removed maven adapting script

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.12-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.12-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.12-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.12-4
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.10.12-3
- switched to non-bootstrap building

* Mon Mar 27 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.10.12-2
- rebuild for opencloudos

* Mon Mar 27 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.10.12-1
- initial